
QGIS Application - Bug report #21959

qgis crash with postgis rasters

2019-04-30 10:06 AM - Daniel Morton

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.4.6 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 29774

Description

User Feedback

Loading postgis rasters

Report Details

Crash ID: 8def222d5bf49d1f68a2fdb8ecaaf8e5901856a8

Stack Trace

SSLv3_client_method :

SSLv3_client_method :

SSLv3_client_method :

SSLv3_client_method :

PQinitSSL :

PQenv2encoding :

PQgetResult :

PQgetResult :

PQexec :

GDALRegister_PostGISRaster :

GDALRegister_PostGISRaster :

GDALOpenEx :

GDALOpen :

dataCapabilities :

classFactory :

QgsProviderRegistry::createProvider :

QgsRasterLayer::setDataProvider :

QgsRasterLayer::QgsRasterLayer :

PyInit__core :

PyInit__core :

PyObject_FastCallKeywords :

PyObject_FastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :
QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.7-Madeira

QGIS code revision: commit:5c56989325

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

Related issues:

Duplicates QGIS Application - Bug report # 21930: Crash when opening a projec... Feedback 2019-04-25

History

#1 - 2019-05-01 03:47 PM - Saber Razmjooei

- Operating System changed from windoze 10 to windows 10

- Affected QGIS version changed from 3.4.0 to 3.4.6

- Category changed from Rasters to Data Provider/PostGIS

- Subject changed from qgis crashes a lot when using postgis rasters; happens with all versions I've tried recently: 3.4, 3.6, 3.7 to qgis crash with 

postgis rasters

#2 - 2019-05-01 05:46 PM - Giovanni Manghi

- Duplicates Bug report #21930: Crash when opening a project with PostGIS rasters added

#3 - 2019-05-01 05:47 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

2024-04-10 3/3


